public static interface HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder
extends org.apache.camel.builder.EndpointProducerBuilder
| Modifier and Type | Method and Description |
|---|---|
default HttpEndpointBuilderFactory.HttpEndpointBuilder |
basic() |
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
basicPropertyBinding(boolean basicPropertyBinding)
Whether the endpoint should use basic property binding (Camel 2.x) or
the newer property binding with additional capabilities.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
basicPropertyBinding(String basicPropertyBinding)
Whether the endpoint should use basic property binding (Camel 2.x) or
the newer property binding with additional capabilities.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
clientBuilder(Object clientBuilder)
Provide access to the http client request parameters used on new
RequestConfig instances used by producers or consumers of this
endpoint.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
clientBuilder(String clientBuilder)
Provide access to the http client request parameters used on new
RequestConfig instances used by producers or consumers of this
endpoint.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
clientConnectionManager(Object clientConnectionManager)
To use a custom HttpClientConnectionManager to manage connections.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
clientConnectionManager(String clientConnectionManager)
To use a custom HttpClientConnectionManager to manage connections.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
connectionsPerRoute(int connectionsPerRoute)
The maximum number of connections per route.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
connectionsPerRoute(String connectionsPerRoute)
The maximum number of connections per route.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
cookieHandler(Object cookieHandler)
Configure a cookie handler to maintain a HTTP session.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
cookieHandler(String cookieHandler)
Configure a cookie handler to maintain a HTTP session.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
cookieStore(Object cookieStore)
To use a custom CookieStore.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
cookieStore(String cookieStore)
To use a custom CookieStore.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
deleteWithBody(boolean deleteWithBody)
Whether the HTTP DELETE should include the message body or not.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
deleteWithBody(String deleteWithBody)
Whether the HTTP DELETE should include the message body or not.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
getWithBody(boolean getWithBody)
Whether the HTTP GET should include the message body or not.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
getWithBody(String getWithBody)
Whether the HTTP GET should include the message body or not.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpBinding(Object httpBinding)
To use a custom HttpBinding to control the mapping between Camel
message and HttpClient.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpBinding(String httpBinding)
To use a custom HttpBinding to control the mapping between Camel
message and HttpClient.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpClient(Object httpClient)
Sets a custom HttpClient to be used by the producer.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpClient(String httpClient)
Sets a custom HttpClient to be used by the producer.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpClientConfigurer(Object httpClientConfigurer)
Register a custom configuration strategy for new HttpClient instances
created by producers or consumers such as to configure authentication
mechanisms etc.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpClientConfigurer(String httpClientConfigurer)
Register a custom configuration strategy for new HttpClient instances
created by producers or consumers such as to configure authentication
mechanisms etc.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpClientOptions(Map values)
To configure the HttpClient using the key/values from the Map.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpClientOptions(String key,
Object value)
To configure the HttpClient using the key/values from the Map.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpContext(Object httpContext)
To use a custom HttpContext instance.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
httpContext(String httpContext)
To use a custom HttpContext instance.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
mapHttpMessageBody(boolean mapHttpMessageBody)
If this option is true then IN exchange Body of the exchange will be
mapped to HTTP body.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
mapHttpMessageBody(String mapHttpMessageBody)
If this option is true then IN exchange Body of the exchange will be
mapped to HTTP body.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
mapHttpMessageFormUrlEncodedBody(boolean mapHttpMessageFormUrlEncodedBody)
If this option is true then IN exchange Form Encoded body of the
exchange will be mapped to HTTP.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
mapHttpMessageFormUrlEncodedBody(String mapHttpMessageFormUrlEncodedBody)
If this option is true then IN exchange Form Encoded body of the
exchange will be mapped to HTTP.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
mapHttpMessageHeaders(boolean mapHttpMessageHeaders)
If this option is true then IN exchange Headers of the exchange will
be mapped to HTTP headers.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
mapHttpMessageHeaders(String mapHttpMessageHeaders)
If this option is true then IN exchange Headers of the exchange will
be mapped to HTTP headers.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
maxTotalConnections(int maxTotalConnections)
The maximum number of connections.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
maxTotalConnections(String maxTotalConnections)
The maximum number of connections.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
okStatusCodeRange(String okStatusCodeRange)
The status codes which are considered a success response.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
synchronous(boolean synchronous)
Sets whether synchronous processing should be strictly used, or Camel
is allowed to use asynchronous processing (if supported).
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
synchronous(String synchronous)
Sets whether synchronous processing should be strictly used, or Camel
is allowed to use asynchronous processing (if supported).
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
useSystemProperties(boolean useSystemProperties)
To use System Properties as fallback for configuration.
|
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder |
useSystemProperties(String useSystemProperties)
To use System Properties as fallback for configuration.
|
default HttpEndpointBuilderFactory.HttpEndpointBuilder basic()
default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpBinding(Object httpBinding)
org.apache.camel.http.common.HttpBinding type.
Group: common (advanced)default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpBinding(String httpBinding)
org.apache.camel.http.common.HttpBinding type.
Group: common (advanced)default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder cookieHandler(Object cookieHandler)
org.apache.camel.http.base.cookie.CookieHandler type.
Group: producer (advanced)default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder cookieHandler(String cookieHandler)
org.apache.camel.http.base.cookie.CookieHandler type.
Group: producer (advanced)default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder cookieStore(Object cookieStore)
org.apache.http.client.CookieStore
type.
Group: producer (advanced)default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder cookieStore(String cookieStore)
org.apache.http.client.CookieStore type.
Group: producer (advanced)default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder deleteWithBody(boolean deleteWithBody)
boolean type.
Default: false
Group: producer (advanced)default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder deleteWithBody(String deleteWithBody)
boolean type.
Default: false
Group: producer (advanced)default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder getWithBody(boolean getWithBody)
boolean type.
Default: false
Group: producer (advanced)default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder getWithBody(String getWithBody)
boolean type.
Default: false
Group: producer (advanced)default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder okStatusCodeRange(String okStatusCodeRange)
java.lang.String type.
Default: 200-299
Group: producer (advanced)default HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder basicPropertyBinding(boolean basicPropertyBinding)
boolean type.
Default: false
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder basicPropertyBinding(String basicPropertyBinding)
boolean type.
Default: false
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder clientBuilder(Object clientBuilder)
org.apache.http.impl.client.HttpClientBuilder type.
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder clientBuilder(String clientBuilder)
org.apache.http.impl.client.HttpClientBuilder type.
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder clientConnectionManager(Object clientConnectionManager)
org.apache.http.conn.HttpClientConnectionManager type.
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder clientConnectionManager(String clientConnectionManager)
org.apache.http.conn.HttpClientConnectionManager type.
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder connectionsPerRoute(int connectionsPerRoute)
int type.
Default: 20
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder connectionsPerRoute(String connectionsPerRoute)
int type.
Default: 20
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpClient(Object httpClient)
org.apache.http.client.HttpClient type.
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpClient(String httpClient)
org.apache.http.client.HttpClient type.
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpClientConfigurer(Object httpClientConfigurer)
org.apache.camel.component.http.HttpClientConfigurer
type.
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpClientConfigurer(String httpClientConfigurer)
org.apache.camel.component.http.HttpClientConfigurer
type.
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpClientOptions(String key, Object value)
java.util.Map<java.lang.String,
java.lang.Object> type.
The option is multivalued, and you can use the
httpClientOptions(String, Object) method to add a value (call the
method multiple times to set more values).
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpClientOptions(Map values)
java.util.Map<java.lang.String,
java.lang.Object> type.
The option is multivalued, and you can use the
httpClientOptions(String, Object) method to add a value (call the
method multiple times to set more values).
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpContext(Object httpContext)
org.apache.http.protocol.HttpContext
type.
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder httpContext(String httpContext)
org.apache.http.protocol.HttpContext type.
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder mapHttpMessageBody(boolean mapHttpMessageBody)
boolean type.
Default: true
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder mapHttpMessageBody(String mapHttpMessageBody)
boolean type.
Default: true
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder mapHttpMessageFormUrlEncodedBody(boolean mapHttpMessageFormUrlEncodedBody)
boolean type.
Default: true
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder mapHttpMessageFormUrlEncodedBody(String mapHttpMessageFormUrlEncodedBody)
boolean type.
Default: true
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder mapHttpMessageHeaders(boolean mapHttpMessageHeaders)
boolean type.
Default: true
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder mapHttpMessageHeaders(String mapHttpMessageHeaders)
boolean type.
Default: true
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder maxTotalConnections(int maxTotalConnections)
int type.
Default: 200
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder maxTotalConnections(String maxTotalConnections)
int type.
Default: 200
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder synchronous(boolean synchronous)
boolean type.
Default: false
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder synchronous(String synchronous)
boolean type.
Default: false
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder useSystemProperties(boolean useSystemProperties)
boolean type.
Default: false
Group: advanceddefault HttpEndpointBuilderFactory.AdvancedHttpEndpointBuilder useSystemProperties(String useSystemProperties)
boolean type.
Default: false
Group: advancedApache Camel